## org.apache.tools.ant.taskdefs
Class Echo.EchoLevel

    java.lang.Object
      |
      +--org.apache.tools.ant.types.EnumeratedAttribute
            |
            +--org.apache.tools.ant.taskdefs.Echo.EchoLevel

Enclosing class:
  Echo

public static class Echo.EchoLevel
extends EnumeratedAttribute

The enumerated values for the level attribute.

Field Summary

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`Echo.EchoLevel()`

Method Summary
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Echo.EchoLevel

    public Echo.EchoLevel()

Method Detail

### getValues

    public java.lang.String[] getValues()

  Description copied from class: `EnumeratedAttribute`
  This is the only method a subclass needs to implement.

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    the strings allowed for the level attribute
  See Also:
    `EnumeratedAttribute.getValues()`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.